Debian Bug report logs - #462444
glibc: Please add symbols files for libc6

version graph

Package: glibc; Maintainer for glibc is (unknown);

Reported by: Raphael Hertzog <hertzog@debian.org>

Date: Thu, 24 Jan 2008 21:45:02 UTC

Severity: wishlist

Tags: patch, wontfix

Found in versions 2.7-6, 2.8+20080809-1

Fixed in versions glibc/2.8+20080809-2, glibc/2.8+20080809-3

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#462444; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
New Bug report received and forwarded. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: glibc: Please add symbols files for libc6
Date: Thu, 24 Jan 2008 22:41:58 +0100
[Message part 1 (text/plain, inline)]
Package: glibc
Version: 2.7-6
Severity: wishlist
Tags: patch

Please add symbols files to the various libc* packages that provide
libraries. Since libc6 is sanely versioned I suggest to rely on that
to avoid maintaining explicit list of symbols (wee wildcards in
dpkg-gensymbols(1) for explanations).

You'll need the latest dpkg-dev to make use of this however. I'm sure the
attached patch will need further fine-tuning because I'm not 100%
confident that I got it right for all arches.

I have not added kfreebsd-* and armel but you should be able to add it if
you want. The change shouldn't generate any failure on those arches,
they'll simply not have a symbols file.

I hope you can do some tests with it and make an experimental upload with
symbols files...

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.23-1-686 (SMP w/1 CPU core)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[glibc-symbols.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#462444; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 462444@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Raphael Hertzog <hertzog@debian.org>, 462444@bugs.debian.org
Subject: Re: Bug#462444: glibc: Please add symbols files for libc6
Date: Thu, 24 Jan 2008 17:09:12 -0500
[Message part 1 (text/plain, inline)]
I'd be happy to help test a version of libc6 that uses symbol files on
armel. It'll take a while to compile it of course. :-)

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#462444; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 462444@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Raphael Hertzog <hertzog@debian.org>, 462444@bugs.debian.org
Subject: Re: Bug#462444: glibc: Please add symbols files for libc6
Date: Sun, 27 Jan 2008 23:55:51 +0100
Raphael Hertzog a écrit :
> Package: glibc
> Version: 2.7-6
> Severity: wishlist
> Tags: patch
> 
> Please add symbols files to the various libc* packages that provide
> libraries. Since libc6 is sanely versioned I suggest to rely on that
> to avoid maintaining explicit list of symbols (wee wildcards in
> dpkg-gensymbols(1) for explanations).
> 
> You'll need the latest dpkg-dev to make use of this however. I'm sure the
> attached patch will need further fine-tuning because I'm not 100%
> confident that I got it right for all arches.
> 

That's a good start, but there is still some work to be done:
- The minimum dependencies on sparc should be 2.6-1 due to the SPARCV8
to SPARCV8PLUS ABI transition
- The patch uses symbols versioning to determine the minimal Debian
version, but some symbols have been introduced later in Debian, due to
some build options that weren't enabled or availabled on some
architectures. TLS support is such an example.
- As the symbols versioning in dpkg-shlibdeps only takes care of the
symbols and not at the include headers, one has to search for #define or
enum values that have been added, and bump the minimum version of the
corresponding symbols if this value is uses internally in the glibc.




-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#462444; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurel32@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 462444@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 462444@bugs.debian.org, Raphael Hertzog <hertzog@debian.org>
Subject: Re: Bug#462444: glibc: Please add symbols files for libc6
Date: Sat, 02 Feb 2008 15:07:26 +0100
Aurelien Jarno a écrit :
> Raphael Hertzog a écrit :
>> Package: glibc
>> Version: 2.7-6
>> Severity: wishlist
>> Tags: patch
>>
>> Please add symbols files to the various libc* packages that provide
>> libraries. Since libc6 is sanely versioned I suggest to rely on that
>> to avoid maintaining explicit list of symbols (wee wildcards in
>> dpkg-gensymbols(1) for explanations).
>>
>> You'll need the latest dpkg-dev to make use of this however. I'm sure the
>> attached patch will need further fine-tuning because I'm not 100%
>> confident that I got it right for all arches.
>>
> 
> That's a good start, but there is still some work to be done:
> - The minimum dependencies on sparc should be 2.6-1 due to the SPARCV8
> to SPARCV8PLUS ABI transition
> - The patch uses symbols versioning to determine the minimal Debian
> version, but some symbols have been introduced later in Debian, due to
> some build options that weren't enabled or availabled on some
> architectures. TLS support is such an example.
> - As the symbols versioning in dpkg-shlibdeps only takes care of the
> symbols and not at the include headers, one has to search for #define or
> enum values that have been added, and bump the minimum version of the
> corresponding symbols if this value is uses internally in the glibc.
> 

Also the name of the dynamic linker is wrong on ia64 and amd64, which
causes an FTFS. It should be /lib/ld-linux-x86-64.so.2 on amd64 and
ld-linux-ia64.so.2 on ia64 instead of ld-linux.so.2.

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#462444; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 462444@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Aurelien Jarno <aurelien@aurel32.net>
Cc: 462444@bugs.debian.org
Subject: Re: Bug#462444: glibc: Please add symbols files for libc6
Date: Tue, 4 Mar 2008 10:54:10 +0100
On Sun, 27 Jan 2008, Aurelien Jarno wrote:
> That's a good start, but there is still some work to be done:
> - The minimum dependencies on sparc should be 2.6-1 due to the SPARCV8
> to SPARCV8PLUS ABI transition

I suggest to modify the headers in libc6.symbols.sparc to include
the dependency written as:
<soname> libc6 (>= 2.6), libc6 #MINVER#

This will be correctly simplified by dpkg-gencontrol at the end.

> - The patch uses symbols versioning to determine the minimal Debian
> version, but some symbols have been introduced later in Debian, due to
> some build options that weren't enabled or availabled on some
> architectures. TLS support is such an example.

Okay, I have no idea when those got introduced, hopefully we can find
that in the Debian changelog.

> - As the symbols versioning in dpkg-shlibdeps only takes care of the
> symbols and not at the include headers, one has to search for #define or
> enum values that have been added, and bump the minimum version of the
> corresponding symbols if this value is uses internally in the glibc.

No idea for this one. Is that documented in the upstream ChangeLog?

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#462444; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 462444@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 462444@bugs.debian.org
Subject: Re: Bug#462444: glibc: Please add symbols files for libc6
Date: Tue, 4 Mar 2008 11:48:55 +0100
On Tue, Mar 04, 2008 at 10:54:10AM +0100, Raphael Hertzog wrote:
> On Sun, 27 Jan 2008, Aurelien Jarno wrote:
> > That's a good start, but there is still some work to be done:
> > - The minimum dependencies on sparc should be 2.6-1 due to the SPARCV8
> > to SPARCV8PLUS ABI transition
> 
> I suggest to modify the headers in libc6.symbols.sparc to include
> the dependency written as:
> <soname> libc6 (>= 2.6), libc6 #MINVER#
> 
> This will be correctly simplified by dpkg-gencontrol at the end.

Looks correct.

> > - The patch uses symbols versioning to determine the minimal Debian
> > version, but some symbols have been introduced later in Debian, due to
> > some build options that weren't enabled or availabled on some
> > architectures. TLS support is such an example.
> 
> Okay, I have no idea when those got introduced, hopefully we can find
> that in the Debian changelog.

alpha		2.3.5
amd64		always
armel		always
arm		2.4
hppa		2.5
i386		2.3.6-6
ia64		2.3.5
m68k		never
mips		2.4
mipsel		2.4
powerpc 	2.3.5
s390    	2.3.5
sparc		2.3.5 (libc6) 2.4 (libc6-sparc64)
hurd-i386 	2.6-3

> > - As the symbols versioning in dpkg-shlibdeps only takes care of the
> > symbols and not at the include headers, one has to search for #define or
> > enum values that have been added, and bump the minimum version of the
> > corresponding symbols if this value is uses internally in the glibc.
> 
> No idea for this one. Is that documented in the upstream ChangeLog?

Maybe, but it is really huge, so I doubt it can be used for that. The
easiest way is to make a diff between the .h files from etch and sid and
see if the new enum/defines are passed directly to the kernel (which is
fine in that case) or used internally by the libc.


Also note that the dynamic linker name is wrong on some architectures,
like on amd64. This cause a build failure. It would be nice if your
patch can be tried on more than one architecture.

I am also wondering if it worth adding symbol files for hurd, it adds a
a magnitude of complexity for no real gain.

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#462444; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 462444@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Aurelien Jarno <aurelien@aurel32.net>
Cc: 462444@bugs.debian.org
Subject: Re: Bug#462444: glibc: Please add symbols files for libc6
Date: Mon, 24 Mar 2008 19:48:49 +0100
[Message part 1 (text/plain, inline)]
Hi,

here comes an updated patch for the symbols support in libc6. Please find below
explanations of the changes:

On Tue, 04 Mar 2008, Aurelien Jarno wrote:
> On Tue, Mar 04, 2008 at 10:54:10AM +0100, Raphael Hertzog wrote:
> > On Sun, 27 Jan 2008, Aurelien Jarno wrote:
> > > That's a good start, but there is still some work to be done:
> > > - The minimum dependencies on sparc should be 2.6-1 due to the SPARCV8
> > > to SPARCV8PLUS ABI transition
> > 
> > I suggest to modify the headers in libc6.symbols.sparc to include
> > the dependency written as:
> > <soname> libc6 (>= 2.6), libc6 #MINVER#
> > 
> > This will be correctly simplified by dpkg-gencontrol at the end.
> 
> Looks correct.

Ok, done both for libc6.symbols.sparc and libc6-sparc64.symbols.

> > > - The patch uses symbols versioning to determine the minimal Debian
> > > version, but some symbols have been introduced later in Debian, due to
> > > some build options that weren't enabled or availabled on some
> > > architectures. TLS support is such an example.
> > 
> > Okay, I have no idea when those got introduced, hopefully we can find
> > that in the Debian changelog.
> 
> alpha		2.3.5
> amd64		always
> armel		always
> arm		2.4
> hppa		2.5
> i386		2.3.6-6
> ia64		2.3.5
> m68k		never
> mips		2.4
> mipsel		2.4
> powerpc 	2.3.5
> s390    	2.3.5
> sparc		2.3.5 (libc6) 2.4 (libc6-sparc64)
> hurd-i386 	2.6-3

All done except sparc where the ABI transition above takes precedence
anyway. 

I added the corresponding minimal dependency on libpthread.so.0
only as my (limited) investigation showed that TLS support only added
new symbols to that library. For libc6, some GLIBC_PRIVATE symbols got
removed/added but that doesn't change anything on the versioning. I also
forced the corresponding minimal version on the symbol "__tls_get_addr" of the
library loader (except on s390 which as __tls_get_offset instead).

> > > - As the symbols versioning in dpkg-shlibdeps only takes care of the
> > > symbols and not at the include headers, one has to search for #define or
> > > enum values that have been added, and bump the minimum version of the
> > > corresponding symbols if this value is uses internally in the glibc.
> > 
> > No idea for this one. Is that documented in the upstream ChangeLog?
> 
> Maybe, but it is really huge, so I doubt it can be used for that. The
> easiest way is to make a diff between the .h files from etch and sid and
> see if the new enum/defines are passed directly to the kernel (which is
> fine in that case) or used internally by the libc.

I tried to do that.

Among potential meaningful differences we have:
- new #define __RTLD_AUDIT in dlfcn.h (but they are marked
  "Internally used flag.")

- several struct that differ in link.h (but I don't think that this
  include file is meant for applications)

- change in #define __GT_* passed to __gen_tempname (stdio.h)
/---
-extern int __gen_tempname (char *__tmpl, int __kind);
+extern int __gen_tempname (char *__tmpl, int __flags, int __kind);
 /* The __kind argument to __gen_tempname may be one of: */
 #  define __GT_FILE    0       /* create a file */
-#  define __GT_BIGFILE 1       /* create a file, using open64 */
-#  define __GT_DIR     2       /* create a directory */
-#  define __GT_NOCREATE        3       /* just find a name not currently in use */
+#  define __GT_DIR     1       /* create a directory */
+#  define __GT_NOCREATE        2       /* just find a name not currently in use */
\---

Otherwise all other changes concern macros that expand to code
and new/modified function declarations. Thus I think we're safe on this side.

> Also note that the dynamic linker name is wrong on some architectures,
> like on amd64. This cause a build failure. It would be nice if your
> patch can be tried on more than one architecture.

I checked those a second time. It should be ok this time. 

> I am also wondering if it worth adding symbol files for hurd, it adds a
> a magnitude of complexity for no real gain.

Indeed. I removed the complexity but I still provide libc0.3.symbols but this
files duplicate some info from symbols.common now. Feel free to remove
debian/libc0.3.symbols completely if you prefer.

I also added a new debian/libc6.symbols.armel file. I also remind you that the
patch won't create FTFBS for unofficial architectures as we provide only
arch-specific symbols files.

Please consider doing an experimental upload with this patch so that we can
check problems on all architectures. I did try building with the patch on
i386 and amd64 and it worked.

Other remarks:

- until the next dpkg upload, dpkg-gensymbols enters the "<package>/lib{32,64}"
  symlinks on amd64 (libc6, libc6-i386) which points to "/lib" instead of
  "lib" and thus we get symbol information for unrelated libraries...

  It used to be a relative symlink but it got changed to an absolute one by
  Aurélien (in Feb 2006, 2.3.6-2) as part of some lintian cleanup apparently:
    * Lintian cleans:
    [...]
    - Use an absolute symlink for /lib64 on amd64

  Thus I reverted this small change temporarily.

- several symbols (on several arches) have a version "GCC_3.0"
  I added another wildcard symbol "*@GCC_3.0" for this case with a minimal
  version of 2.3.6. All architectures which have those symbols have them
  since etch at least...

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/
[add-symbols.patch (text/x-diff, attachment)]

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Raphael Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #40 received at 462444-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 462444-close@bugs.debian.org
Subject: Bug#462444: fixed in glibc 2.7-10experimental1
Date: Mon, 31 Mar 2008 05:47:05 +0000
Source: glibc
Source-Version: 2.7-10experimental1

We believe that the bug you reported is fixed in the latest version of
glibc, which is due to be installed in the Debian FTP archive:

glibc-doc_2.7-10experimental1_all.deb
  to pool/main/g/glibc/glibc-doc_2.7-10experimental1_all.deb
glibc-source_2.7-10experimental1_all.deb
  to pool/main/g/glibc/glibc-source_2.7-10experimental1_all.deb
glibc_2.7-10experimental1.diff.gz
  to pool/main/g/glibc/glibc_2.7-10experimental1.diff.gz
glibc_2.7-10experimental1.dsc
  to pool/main/g/glibc/glibc_2.7-10experimental1.dsc
libc6-dbg_2.7-10experimental1_amd64.deb
  to pool/main/g/glibc/libc6-dbg_2.7-10experimental1_amd64.deb
libc6-dev-i386_2.7-10experimental1_amd64.deb
  to pool/main/g/glibc/libc6-dev-i386_2.7-10experimental1_amd64.deb
libc6-dev_2.7-10experimental1_amd64.deb
  to pool/main/g/glibc/libc6-dev_2.7-10experimental1_amd64.deb
libc6-i386_2.7-10experimental1_amd64.deb
  to pool/main/g/glibc/libc6-i386_2.7-10experimental1_amd64.deb
libc6-pic_2.7-10experimental1_amd64.deb
  to pool/main/g/glibc/libc6-pic_2.7-10experimental1_amd64.deb
libc6-prof_2.7-10experimental1_amd64.deb
  to pool/main/g/glibc/libc6-prof_2.7-10experimental1_amd64.deb
libc6-udeb_2.7-10experimental1_amd64.udeb
  to pool/main/g/glibc/libc6-udeb_2.7-10experimental1_amd64.udeb
libc6_2.7-10experimental1_amd64.deb
  to pool/main/g/glibc/libc6_2.7-10experimental1_amd64.deb
libnss-dns-udeb_2.7-10experimental1_amd64.udeb
  to pool/main/g/glibc/libnss-dns-udeb_2.7-10experimental1_amd64.udeb
libnss-files-udeb_2.7-10experimental1_amd64.udeb
  to pool/main/g/glibc/libnss-files-udeb_2.7-10experimental1_amd64.udeb
locales-all_2.7-10experimental1_amd64.deb
  to pool/main/g/glibc/locales-all_2.7-10experimental1_amd64.deb
locales_2.7-10experimental1_all.deb
  to pool/main/g/glibc/locales_2.7-10experimental1_all.deb
nscd_2.7-10experimental1_amd64.deb
  to pool/main/g/glibc/nscd_2.7-10experimental1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 462444@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated glibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 31 Mar 2008 00:39:27 +0200
Source: glibc
Binary: glibc-doc glibc-source locales locales-all nscd libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc0.1-i386 libc0.1-dev-i386 libc6-sparcv9b libc6-i686 libc6-xen libc0.1-i686 libc6.1-alphaev67 libnss-dns-udeb libnss-files-udeb
Architecture: source all amd64
Version: 2.7-10experimental1
Distribution: experimental
Urgency: low
Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 glibc-doc  - GNU C Library: Documentation
 glibc-source - GNU C Library: sources
 libc0.1    - GNU C Library: Shared libraries
 libc0.1-dbg - GNU C Library: Libraries with debugging symbols
 libc0.1-dev - GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - GNU C Library: 32bit development libraries for AMD64
 libc0.1-i386 - GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - GNU C Library: PIC archive library
 libc0.1-prof - GNU C Library: Profiling Libraries
 libc0.1-udeb - GNU C Library: Shared libraries - udeb
 libc0.3    - GNU C Library: Shared libraries
 libc0.3-dbg - GNU C Library: Libraries with debugging symbols
 libc0.3-dev - GNU C Library: Development Libraries and Header Files
 libc0.3-pic - GNU C Library: PIC archive library
 libc0.3-prof - GNU C Library: Profiling Libraries
 libc0.3-udeb - GNU C Library: Shared libraries - udeb
 libc6      - GNU C Library: Shared libraries
 libc6-amd64 - GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - GNU C Library: Libraries with debugging symbols
 libc6-dev  - GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-i386 - GNU C Library: 32bit development libraries for AMD64
 libc6-dev-mips64 - GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - GNU C Library: 32bit powerpc development libraries for ppc64
 libc6-dev-ppc64 - GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390x - GNU C Library: 64bit Development Libraries for IBM zSeries
 libc6-dev-sparc64 - GNU C Library: 64bit Development Libraries for UltraSPARC
 libc6-i386 - GNU C Library: 32bit shared libraries for AMD64
 libc6-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc6-mips64 - GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - GNU C Library: PIC archive library
 libc6-powerpc - GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - GNU C Library: Profiling Libraries
 libc6-s390x - GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-sparcv9b - GNU C Library: Shared libraries [v9b optimized]
 libc6-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libc6-xen  - GNU C Library: Shared libraries [Xen version]
 libc6.1    - GNU C Library: Shared libraries
 libc6.1-alphaev67 - GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - GNU C Library: Libraries with debugging symbols
 libc6.1-dev - GNU C Library: Development Libraries and Header Files
 libc6.1-pic - GNU C Library: PIC archive library
 libc6.1-prof - GNU C Library: Profiling Libraries
 libc6.1-udeb - GNU C Library: Shared libraries - udeb
 libnss-dns-udeb - GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - GNU C Library: NSS helper for files - udeb (udeb)
 locales    - GNU C Library: National Language (locale) data [support]
 locales-all - GNU C Library: Precompiled locale data
 nscd       - GNU C Library: Name Service Cache Daemon
Closes: 462444
Changes: 
 glibc (2.7-10experimental1) experimental; urgency=low
 .
   * control.in/main: build-depends on dpkg (>= 1.14.17).
   * Add symbols files for the various libraries, patch by Raphaël Hertzog.
     Closes: #462444.
Files: 
 08769eedb43b362ca93792382371c02d 2691 libs required glibc_2.7-10experimental1.dsc
 794b4c8781b2c1e398f2f36ce18dac1d 716371 libs required glibc_2.7-10experimental1.diff.gz
 190ff540f14707463f0d7670cda92151 1626270 doc optional glibc-doc_2.7-10experimental1_all.deb
 65d81dda8b8e8a2ba5a22aa1f5d40817 15967896 devel optional glibc-source_2.7-10experimental1_all.deb
 90759641c36bc8227b99cb3015f9f788 4430882 libs standard locales_2.7-10experimental1_all.deb
 fc064cf224825e9cf55deacc4576b7f6 4782746 libs required libc6_2.7-10experimental1_amd64.deb
 7173dbd09dce874a19f59d03f0aae2f2 2459100 libdevel optional libc6-dev_2.7-10experimental1_amd64.deb
 a868dd1b2fd039bf66ab88669b492fe7 1901834 libdevel extra libc6-prof_2.7-10experimental1_amd64.deb
 bba3849964ea3dd7a9ef68429a215c72 1441708 libdevel optional libc6-pic_2.7-10experimental1_amd64.deb
 b68dcf9103c0522f94c71ce2346ed543 2582716 libs extra locales-all_2.7-10experimental1_amd64.deb
 e62353201bef88f523d4f3ca0404dcce 3646112 libs optional libc6-i386_2.7-10experimental1_amd64.deb
 b870ac957a634f4d4dbb2fc1164452ec 1433880 libdevel optional libc6-dev-i386_2.7-10experimental1_amd64.deb
 93b6c31d6b5f8cd8352057a7a2a9d893 171376 admin optional nscd_2.7-10experimental1_amd64.deb
 0fdb4cf08b14f4f193ec5f051f9cc3ac 5128204 libdevel extra libc6-dbg_2.7-10experimental1_amd64.deb
 cb9a09c1b57f6a06d91585d91c2cb13e 1081544 debian-installer extra libc6-udeb_2.7-10experimental1_amd64.udeb
 a4b453936c783a3eabdf1f1613ab0b67 9352 debian-installer extra libnss-dns-udeb_2.7-10experimental1_amd64.udeb
 f5fc81065e34c5a272e6f7f5595ca8d2 17464 debian-installer extra libnss-files-udeb_2.7-10experimental1_amd64.udeb
Checksums-Sha1: 
 4af2e88e751861ea112fbb57a765a6a98bfe41c5 2454 glibc_2.7-10experimental1.dsc
 97510871b48a473e32bd17dbee2ad9b681425203 716371 glibc_2.7-10experimental1.diff.gz
 1c1cb97a97f34f3f6d9f758dddaefef178db2ad0 1626270 glibc-doc_2.7-10experimental1_all.deb
 1ac4048f3e9ffd24196aa5b6ce71fed55726f440 15967896 glibc-source_2.7-10experimental1_all.deb
 3013e8b1771a2e7cde0bbe0fc33f49b0fca49ac0 4430882 locales_2.7-10experimental1_all.deb
 53ce8c83bee14a62eb196673017df875fa345a58 4782746 libc6_2.7-10experimental1_amd64.deb
 97503f60222f5d5c95d38b12fa23e7c76cb5c4c1 2459100 libc6-dev_2.7-10experimental1_amd64.deb
 01b71dd156211f6d6b54d7e7006631e6fc6495bc 1901834 libc6-prof_2.7-10experimental1_amd64.deb
 02cdf1a895b60706362b00a9b9ceebfc6f0511fc 1441708 libc6-pic_2.7-10experimental1_amd64.deb
 7352f40631a62402904a99d4aa95dc05116dffe3 2582716 locales-all_2.7-10experimental1_amd64.deb
 3b252b2fdcca6c1bdab398457379255ff3103913 3646112 libc6-i386_2.7-10experimental1_amd64.deb
 fa35c2c59eb23a59a9fdb92511ae8d93f16a3c13 1433880 libc6-dev-i386_2.7-10experimental1_amd64.deb
 5353c0d54ee8755afec2183c5b0be5d9aa4c87f1 171376 nscd_2.7-10experimental1_amd64.deb
 9ef97d2e64f130d471869d0a1737f44a615a0fc1 5128204 libc6-dbg_2.7-10experimental1_amd64.deb
 4fddf0820244381aa4783f6066f2d8443ebdc39c 1081544 libc6-udeb_2.7-10experimental1_amd64.udeb
 58bed40aaa5a56be11fbfc449d409aa5b08eb214 9352 libnss-dns-udeb_2.7-10experimental1_amd64.udeb
 d2ae44032909e929fe34cec6662b51cdb33599ad 17464 libnss-files-udeb_2.7-10experimental1_amd64.udeb
Checksums-Sha256: 
 7b2dbd4a4b391e46395b921dd062633bd656d00d41708b3e4d43b5aa97e99799 2454 glibc_2.7-10experimental1.dsc
 84d8579eb610cda9c640ee9d8e0e7c02eacbcaae2b82025a3cfb5d97660f403d 716371 glibc_2.7-10experimental1.diff.gz
 6e2273e28da772b04867151717145082cc1c0cb744ac4db015c6c795ad6120f9 1626270 glibc-doc_2.7-10experimental1_all.deb
 a7493e984ef3ab013df1b0b8421805d885fe542b57a534f5ec2e774f6f2f9140 15967896 glibc-source_2.7-10experimental1_all.deb
 22cdab02206b0df00dcdffafa271eb30cc1a1b8e001793b3ac6fb3540aaffe9b 4430882 locales_2.7-10experimental1_all.deb
 e6841293ef7187956ce1d4d0410619a54faa7755b9bcd7ee30d7c31ecd0d73f4 4782746 libc6_2.7-10experimental1_amd64.deb
 2ce524cd40c0750e67d23e6a3c758f73862e87765c78fb7472037d6f0de5df02 2459100 libc6-dev_2.7-10experimental1_amd64.deb
 ecf9c1b8235fa51bf4a61a4371a9fb404d1c0e62829654cde97647a9a5580808 1901834 libc6-prof_2.7-10experimental1_amd64.deb
 71e059aaed3936b381fb953eaa872ad3729700ad493d02af96a9292d6bc7320c 1441708 libc6-pic_2.7-10experimental1_amd64.deb
 539488f9c0f97628eb7142389841827e492f52b10bc2ae44c9d6d603dbe33bd9 2582716 locales-all_2.7-10experimental1_amd64.deb
 f3499ee4c9322ebd82a6b9c1e304a90f1cee7aeda2d55421f7e54f0733da65e9 3646112 libc6-i386_2.7-10experimental1_amd64.deb
 a6d74ab51a67531ce1e5c36a0ee4eaaa47ebceb4979581024976b754d70ef7c4 1433880 libc6-dev-i386_2.7-10experimental1_amd64.deb
 b56012c3057d4d7e72e84da581de2c26ad8925d971ce0e6745244ff452e89ad4 171376 nscd_2.7-10experimental1_amd64.deb
 a77051f10db7f4d277ab7bd46e36e7269375b9bf71583ae6e7dafc0ffc084ed8 5128204 libc6-dbg_2.7-10experimental1_amd64.deb
 57c23cbd246e705ed193cde48b7d79e563614c37e02cb9a4071abbf6bc378de5 1081544 libc6-udeb_2.7-10experimental1_amd64.udeb
 24673fcdb802f2b762d239b72fc4772418d86e02efd72a2ad8bf18a715336db6 9352 libnss-dns-udeb_2.7-10experimental1_amd64.udeb
 1230de73f94dfee767729e75f5e8fc7108d92e5ef0d2fbd31bc824e09b86559e 17464 libnss-files-udeb_2.7-10experimental1_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH8HeBw3ao2vG823MRAqGdAJ4ghS0hzPx3Bjxs5pNDZrvZktMgPgCffbJJ
W90QHqBwP0OZkK1sgxWoFoo=
=w+qa
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#462444; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 462444@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 462444@bugs.debian.org
Subject: glibc: 462444: dpkg symbols are a lenny+1 changes
Date: Sun, 08 Jun 2008 18:48:17 +0800
[Message part 1 (text/plain, inline)]
A conversation with aurel32:

<pabs> do you know if the glibc team plan to get glibc with dpkg symbol
stuff into lenny, or is that a lenny+1 thing (#462444)?
<aurel32> glibc is frozen
<aurel32> so that won't happen for lenny
<pabs> ah, bummer
<aurel32> OTOH, I won't see why we should absolutely need that in lenny
<aurel32> what is important is to have it in lenny + 1
<aurel32> so that packages from lenny + 1 are installable in lenny
<pabs> sure, but if it was in lenny, packages from lenny could be
installable in etch :)
<aurel32> I am not so sure
<aurel32> the dependencies not only come from dpkg-shlibdeps
<aurel32> and in my opinion they are too much differences between etch
and lenny so that can work for a wide range of packages
<pabs> ok
<pabs> would you mind if I add this information to the bug? or could you
add some info?
<aurel32> yes, don't hesitate to add some details to the bug log
<pabs> thanks

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Raphael Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #50 received at 462444-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 462444-close@bugs.debian.org
Subject: Bug#462444: fixed in glibc 2.8+20080809-1
Date: Sat, 09 Aug 2008 21:32:16 +0000
Source: glibc
Source-Version: 2.8+20080809-1

We believe that the bug you reported is fixed in the latest version of
glibc, which is due to be installed in the Debian FTP archive:

glibc-doc_2.8+20080809-1_all.deb
  to pool/main/g/glibc/glibc-doc_2.8+20080809-1_all.deb
glibc-source_2.8+20080809-1_all.deb
  to pool/main/g/glibc/glibc-source_2.8+20080809-1_all.deb
glibc_2.8+20080809-1.diff.gz
  to pool/main/g/glibc/glibc_2.8+20080809-1.diff.gz
glibc_2.8+20080809-1.dsc
  to pool/main/g/glibc/glibc_2.8+20080809-1.dsc
glibc_2.8+20080809.orig.tar.gz
  to pool/main/g/glibc/glibc_2.8+20080809.orig.tar.gz
libc6-dbg_2.8+20080809-1_amd64.deb
  to pool/main/g/glibc/libc6-dbg_2.8+20080809-1_amd64.deb
libc6-dev-i386_2.8+20080809-1_amd64.deb
  to pool/main/g/glibc/libc6-dev-i386_2.8+20080809-1_amd64.deb
libc6-dev_2.8+20080809-1_amd64.deb
  to pool/main/g/glibc/libc6-dev_2.8+20080809-1_amd64.deb
libc6-i386_2.8+20080809-1_amd64.deb
  to pool/main/g/glibc/libc6-i386_2.8+20080809-1_amd64.deb
libc6-pic_2.8+20080809-1_amd64.deb
  to pool/main/g/glibc/libc6-pic_2.8+20080809-1_amd64.deb
libc6-prof_2.8+20080809-1_amd64.deb
  to pool/main/g/glibc/libc6-prof_2.8+20080809-1_amd64.deb
libc6-udeb_2.8+20080809-1_amd64.udeb
  to pool/main/g/glibc/libc6-udeb_2.8+20080809-1_amd64.udeb
libc6_2.8+20080809-1_amd64.deb
  to pool/main/g/glibc/libc6_2.8+20080809-1_amd64.deb
libnss-dns-udeb_2.8+20080809-1_amd64.udeb
  to pool/main/g/glibc/libnss-dns-udeb_2.8+20080809-1_amd64.udeb
libnss-files-udeb_2.8+20080809-1_amd64.udeb
  to pool/main/g/glibc/libnss-files-udeb_2.8+20080809-1_amd64.udeb
locales-all_2.8+20080809-1_amd64.deb
  to pool/main/g/glibc/locales-all_2.8+20080809-1_amd64.deb
locales_2.8+20080809-1_all.deb
  to pool/main/g/glibc/locales_2.8+20080809-1_all.deb
nscd_2.8+20080809-1_amd64.deb
  to pool/main/g/glibc/nscd_2.8+20080809-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 462444@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated glibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 09 Aug 2008 21:04:41 +0200
Source: glibc
Binary: glibc-doc glibc-source locales locales-all nscd libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc0.1-i386 libc0.1-dev-i386 libc6-sparcv9b libc6-i686 libc6-xen libc0.1-i686 libc6.1-alphaev67 libnss-dns-udeb libnss-files-udeb
Architecture: source all amd64
Version: 2.8+20080809-1
Distribution: experimental
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 glibc-doc  - GNU C Library: Documentation
 glibc-source - GNU C Library: sources
 libc0.1    - GNU C Library: Shared libraries
 libc0.1-dbg - GNU C Library: Libraries with debugging symbols
 libc0.1-dev - GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - GNU C Library: 32bit development libraries for AMD64
 libc0.1-i386 - GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - GNU C Library: PIC archive library
 libc0.1-prof - GNU C Library: Profiling Libraries
 libc0.1-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libc0.3    - GNU C Library: Shared libraries
 libc0.3-dbg - GNU C Library: Libraries with debugging symbols
 libc0.3-dev - GNU C Library: Development Libraries and Header Files
 libc0.3-pic - GNU C Library: PIC archive library
 libc0.3-prof - GNU C Library: Profiling Libraries
 libc0.3-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libc6      - GNU C Library: Shared libraries
 libc6-amd64 - GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - GNU C Library: Libraries with debugging symbols
 libc6-dev  - GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-i386 - GNU C Library: 32bit development libraries for AMD64
 libc6-dev-mips64 - GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - GNU C Library: 32bit powerpc development libraries for ppc64
 libc6-dev-ppc64 - GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390x - GNU C Library: 64bit Development Libraries for IBM zSeries
 libc6-dev-sparc64 - GNU C Library: 64bit Development Libraries for UltraSPARC
 libc6-i386 - GNU C Library: 32bit shared libraries for AMD64
 libc6-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc6-mips64 - GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - GNU C Library: PIC archive library
 libc6-powerpc - GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - GNU C Library: Profiling Libraries
 libc6-s390x - GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-sparcv9b - GNU C Library: Shared libraries [v9b optimized]
 libc6-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libc6-xen  - GNU C Library: Shared libraries [Xen version]
 libc6.1    - GNU C Library: Shared libraries
 libc6.1-alphaev67 - GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - GNU C Library: Libraries with debugging symbols
 libc6.1-dev - GNU C Library: Development Libraries and Header Files
 libc6.1-pic - GNU C Library: PIC archive library
 libc6.1-prof - GNU C Library: Profiling Libraries
 libc6.1-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - GNU C Library: NSS helper for files - udeb (udeb)
 locales    - GNU C Library: National Language (locale) data [support]
 locales-all - GNU C Library: Precompiled locale data
 nscd       - GNU C Library: Name Service Cache Daemon
Closes: 462444 466340 485165 493231
Changes: 
 glibc (2.8+20080809-1) experimental; urgency=low
 .
   [ Aurelien Jarno ]
   * New upstream release.
     - Fix conversions to ISO-2022-JP.  Closes: #466340.
     - "Tarballs are a completely outdated concept":
       + use a flat .orig.tar.gz
       + rules.d/tarball.mk: remove all, add a get-orig-source target
       + rules.d/quilt.mk: fix the unpatch target
     - Update any/cvs-getaddrinfo.diff.
     - Update any/submitted-i686-timing.diff.
     - Update locale/preprocessor-collate-uli-sucks.diff
     - Update localedata/tailor-iso14651_t1.diff.
     - Update localedata/locales-fr.diff.
     - Update localedata/cy_GB-first_weekday.diff.
     - Update localedata/fr_BE-first_weekday.diff.
     - Update localedata/fr_CA-first_weekday.diff.
     - Update localedata/fr_CH-first_weekday.diff.
     - Update localedata/fr_LU-first_weekday.diff.
     - Remove alpha/submitted-xstat.diff (outdated).
     - Remove amd64/cvs-vdso_clock_gettime.diff (merged).
     - Remove arm/cvs-ioperm.diff (merged).
     - Remove arm/cvs-gcc4-inline.diff (merged).
     - Remove arm/local-args6.diff (merged).
     - Remove arm/submitted-RTLD_SINGLE_THREAD_P.diff (merged).
     - Remove hppa/cvs-atomic.diff (merged).
     - Remove hppa/cvs-lowlevellock.diff (merged).
     - Remove hurd-i386/cvs-kernel-features.diff (merged).
     - Remove hurd-i386/cvs-O_CLOEXEC_fix.diff (merged).
     - Remove hurd-i386/cvs-epfnosupport.diff (merged).
     - Remove hurd-i386/cvs-df.diff (merged).
     - Remove hurd-i386/cvs-blocked-exceptions.diff (merged).
     - Remove i386/cvs-short-for-fnstsw.diff (merged).
     - Remove mips/cvs-memory-barriers.diff (merged).
     - Remove mips/cvs-mknod.diff (merged).
     - Remove mips/cvs-fcsr.diff (merged).
     - Remove mips/cvs-mipsn32.diff (merged).
     - Remove sh4/cvs-nptl-private-futexes.diff (merged).
     - Remove all/cvs-gai_conf.diff (merged).
     - Remove any/cvs-epoll_h.diff (merged).
     - Remove any/cvs-ether_line.diff (merged).
     - Remove any/cvs-ethertype.diff (merged).
     - Remove any/cvs-fchmodat.diff (merged).
     - Remove any/cvs-gcc-4.3.diff (merged).
     - Remove any/cvs-iconv-iso2022jp-loop-bug.diff (merged).
     - Remove any/cvs-rfc3484.diff (merged).
     - Remove any/cvs-sched_h.diff (merged).
     - Remove any/cvs-strerror_r.diff (merged).
     - Remove any/local-strfry.diff (merged).
     - Remove any/cvs-strtod.diff (merged).
     - Remove any/cvs-tzfile.diff (merged).
     - Remove any/cvs-vfscanf.diff (merged).
     - Remove any/cvs-sunrpc_rpc_thread.diff (merged).
     - Remove any/cvs-wchar_h.diff (merged).
     - Remove any/local-dl-execstack.diff (outdated).
     - Remove any/local-gcc4-wcstol_l.diff (outdated).
     - Remove any/local-notls.diff (outdated).
     - Remove any/submitted-ieee754_h.diff (merged).
     - Remove any/submitted-link-local_resolver.diff (merged).
     - Remove localedata/cvs-locale-ig_NG.diff (merged).
     - Remove localedata/cvs-locale-lo_LA.diff (merged).
     - Remove localedata/cvs-locale-ug_CN.diff (merged).
     - Remove localedata/locale-es_CR.diff (merged).
     - Remove localedata/locale-pt_PT.diff (merged).
     - debian/shlibver: bump to 2.8.
     - debian/locales-depver: bump to 2.8.
   * Convert all patch to patchlevel -p1.  Closes: #485165.
   * debian/rules.d/quilt.mk: add a refresh target.
   * local/manpages/*: fix comments to make lintian happy.
   * locale/check-unknown-symbols.diff: changes errors to warnings.
   * debian/control.in/main: update Standards-Version to 3.8.0:
     - Add debian/README.source.
   * debian/rules, debian/rules.d/build.mk, debian/testsuite-checking/*:
     implementregression check, based on a patch from Carlos O'Donell.
   * testsuite-checking/expected-test-x86_64-linux-gnu-libc: new file.
   * control.in/main: build-depends on dpkg (>= 1.14.17).
   * Add symbols files for the various libraries, based on a patch by
     Raphaël Hertzog.  Closes: #462444.
   * localedata/supported.diff: sort locales by alphabetical order.  Closes:
     #493231.
Checksums-Sha1: 
 abf12a588ca7ef0bddfa8a37309fe141b37738a1 2600 glibc_2.8+20080809-1.dsc
 4e5e2d62a6497bf76b947787e6a1a90646470a97 22052983 glibc_2.8+20080809.orig.tar.gz
 fc5e86beec276ffeb20d5a6cfe44603d185f8ad9 546348 glibc_2.8+20080809-1.diff.gz
 6c2ce0413b14a8393f9e5994a4461215067a2bec 1643864 glibc-doc_2.8+20080809-1_all.deb
 c7ffade5cec60c636e32fab1e912fd29e78c26f4 15883356 glibc-source_2.8+20080809-1_all.deb
 feaa6c57e8a3eacb543ea4d2e1de0db2e1102e60 4593232 locales_2.8+20080809-1_all.deb
 a3b6198fca226a15be3f339fbb78fc218de6d431 4893588 libc6_2.8+20080809-1_amd64.deb
 eb4413c0254a0cea98cdbeda451d5353ee008ca2 2505658 libc6-dev_2.8+20080809-1_amd64.deb
 9c13939dffc342686e486eaefb9c78237b0f7368 1935200 libc6-prof_2.8+20080809-1_amd64.deb
 b377fe759c65d4302350a55fe089b7b169eb0404 1475430 libc6-pic_2.8+20080809-1_amd64.deb
 ae43e07e480dd5f95ede4434280d3642e04f4fa8 2852682 locales-all_2.8+20080809-1_amd64.deb
 8f9cc8167ae302e9544fce08e76cb38a0936c50a 3727910 libc6-i386_2.8+20080809-1_amd64.deb
 6efda5c3c98e71474287757de2ef69c88e40fd6f 1465976 libc6-dev-i386_2.8+20080809-1_amd64.deb
 afd5ca14fcf0ba7d81461f1be99b4b2c985f06f1 176614 nscd_2.8+20080809-1_amd64.deb
 4de1da2a7dfb13897302a11c973c82587fed21ef 5347600 libc6-dbg_2.8+20080809-1_amd64.deb
 aed5578ee174be777bc3749abe8c07e638b8bccf 1112854 libc6-udeb_2.8+20080809-1_amd64.udeb
 a100d0c3ddb0da6507efa2d6de5c3c94a3d94590 9460 libnss-dns-udeb_2.8+20080809-1_amd64.udeb
 5779fc2b8dff5f7adea3e9eddfb0ecf48a9bc139 18522 libnss-files-udeb_2.8+20080809-1_amd64.udeb
Checksums-Sha256: 
 fcf8fa7b4379f5fc7fc0d76a829e6a26d50bbb62bb55c93f3a5dd8e63d66525a 2600 glibc_2.8+20080809-1.dsc
 6c5c5189fb1db2bf8825843fa5a4325e2a2a52cb0bfb08ba0f2823b4513bfb36 22052983 glibc_2.8+20080809.orig.tar.gz
 79a9b7b09c1a1e2826d4e55e2640153dcd7890c513c693f2167f970e499a26f2 546348 glibc_2.8+20080809-1.diff.gz
 83904941387d7d1a3dd27e84011691837ad2afd9a3dee3a12f9b09062ffacc9f 1643864 glibc-doc_2.8+20080809-1_all.deb
 b4cf5a7b676e026e1fcdd7d762d44c132c7dc7aee6e227d83d93e0ed3736a17c 15883356 glibc-source_2.8+20080809-1_all.deb
 6ae3d9fe4ec781b14f5144eb67027133c9c3a02ef0939f6d1fe597a49270f258 4593232 locales_2.8+20080809-1_all.deb
 39897ac69e5112c0f78f1af183f560a60ec2ecc1b00ac7c49c0919bc708fdbf7 4893588 libc6_2.8+20080809-1_amd64.deb
 eba2b876c2b29bbdf17aa7ee9f2a2a358e65b774974ed942aa2ccdb763b0a3dd 2505658 libc6-dev_2.8+20080809-1_amd64.deb
 6654c605982c68826965b170ea2e64de2bcc579d575a92937806a5a3a0c5768c 1935200 libc6-prof_2.8+20080809-1_amd64.deb
 3d89018a47e26e49e1a61cefc06f51fbe74a57c79cb4051b7ff71ebf8a2c30e7 1475430 libc6-pic_2.8+20080809-1_amd64.deb
 3a07e90b38d07158e9097c6ee6ff022934d0bfa06620484a26d47e91d50e1e1c 2852682 locales-all_2.8+20080809-1_amd64.deb
 ff4cdaaa25f808a3d01445f57a9ea1566d11d1ce801bb7767fafd44ff602f563 3727910 libc6-i386_2.8+20080809-1_amd64.deb
 770c8664edde7e8a87fd7a88802aff09313ec48f1b27b453fe712943671993fa 1465976 libc6-dev-i386_2.8+20080809-1_amd64.deb
 aabeb7da62ea9e8973e77914e3831a1659dcada9ebf13fd3edebf850fcf45f5e 176614 nscd_2.8+20080809-1_amd64.deb
 d61bcc66d38905b3f7f462224cccbaee7ef27e59046469179ac8167b24d697cb 5347600 libc6-dbg_2.8+20080809-1_amd64.deb
 a67f107db15afa47c379012eed76a8fdfd3065b43e6b9e8a88230004f71c3826 1112854 libc6-udeb_2.8+20080809-1_amd64.udeb
 f2eef88e99fdd9c856f7adcf691a1592202e2aeabcfd5b0527a590b9b938fa84 9460 libnss-dns-udeb_2.8+20080809-1_amd64.udeb
 576e28fa902dce4cb94f8f48ae3deb23352ba9de8ede5ef60e8a2db55ab256f7 18522 libnss-files-udeb_2.8+20080809-1_amd64.udeb
Files: 
 61f5b11aac04499851962ad030f3dbed 2600 libs required glibc_2.8+20080809-1.dsc
 610c98d4213b73dfe26ace2b410ecc81 22052983 libs required glibc_2.8+20080809.orig.tar.gz
 a5794942c975f6ddb34d14380a01bbf2 546348 libs required glibc_2.8+20080809-1.diff.gz
 1e80ae81f583bd0ba0042322ac1d4959 1643864 doc optional glibc-doc_2.8+20080809-1_all.deb
 b767383d5a400416ecbfcf8c266244b3 15883356 devel optional glibc-source_2.8+20080809-1_all.deb
 181819d6315cb3fa4b49bfc79a001529 4593232 libs standard locales_2.8+20080809-1_all.deb
 19553f7dc0314d35ee375286b428041e 4893588 libs required libc6_2.8+20080809-1_amd64.deb
 e1f7387ea79b25b7c986d66da1dc903f 2505658 libdevel optional libc6-dev_2.8+20080809-1_amd64.deb
 bbaed956519bdfc37cc50bc754e11315 1935200 libdevel extra libc6-prof_2.8+20080809-1_amd64.deb
 7d3458655992b72344d3048294fec9f4 1475430 libdevel optional libc6-pic_2.8+20080809-1_amd64.deb
 58c5c82db62254f744f1b12857b5d0ce 2852682 libs extra locales-all_2.8+20080809-1_amd64.deb
 e8e3bc7e2d4cb68b05a47ae7e068dad5 3727910 libs optional libc6-i386_2.8+20080809-1_amd64.deb
 9fed69e1c82eddd590f2531689dc6e57 1465976 libdevel optional libc6-dev-i386_2.8+20080809-1_amd64.deb
 0c5562c7afdaf6488b1875be12d369eb 176614 admin optional nscd_2.8+20080809-1_amd64.deb
 27f970ea78a93cef191613187807dbeb 5347600 libdevel extra libc6-dbg_2.8+20080809-1_amd64.deb
 e4d49a62857677f6017f6c5e915cf76d 1112854 debian-installer extra libc6-udeb_2.8+20080809-1_amd64.udeb
 e60b9f1476bc74c285913ccfecc012ad 9460 debian-installer extra libnss-dns-udeb_2.8+20080809-1_amd64.udeb
 77872234e2b3456cd6fe73316883e739 18522 debian-installer extra libnss-files-udeb_2.8+20080809-1_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFIngaaw3ao2vG823MRAiYsAJ95b9nUx4mYnm8cA+TVGxRVYmHupQCggAeW
kTb/lN93fmeh61rPFr4d4x4=
=329A
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#462444; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurel32@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #55 received at 462444@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 462444@bugs.debian.org, Raphael Hertzog <hertzog@debian.org>
Cc: control@bugs.debian.org
Subject: Re: Bug#462444: fixed in glibc 2.8+20080809-1
Date: Wed, 10 Sep 2008 23:23:36 +0200
reopen 462444
found 462444 2.8+20080809-1
tag 462444 + wontfix
thanks

On Sat, Aug 09, 2008 at 09:32:16PM +0000, Aurelien Jarno wrote:
>    * control.in/main: build-depends on dpkg (>= 1.14.17).
>    * Add symbols files for the various libraries, based on a patch by
>      Raphaël Hertzog.  Closes: #462444.
>    * localedata/supported.diff: sort locales by alphabetical order.  Closes:
>      #493231.

I have just removed the symbols files from the glibc, because dpkg-dev
currently doesn't have support for ignoring private symbols from 
libraries. This causes problems like this one on nscd:

  Depends: glibc-private, libc6 (>= 2.8)

Until this feature is supported in dpkg-dev, this bug is a wontfix.

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net




Bug reopened, originator not changed. Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Wed, 10 Sep 2008 21:24:07 GMT) Full text and rfc822 format available.

Bug marked as found in version 2.8+20080809-1. Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Wed, 10 Sep 2008 21:24:08 GMT) Full text and rfc822 format available.

Tags added: wontfix Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Wed, 10 Sep 2008 21:24:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#462444; Package glibc. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #66 received at 462444@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Aurelien Jarno <aurel32@debian.org>
Cc: 462444@bugs.debian.org
Subject: Re: Bug#462444: fixed in glibc 2.8+20080809-1
Date: Thu, 11 Sep 2008 08:22:57 +0200
On Wed, 10 Sep 2008, Aurelien Jarno wrote:
> On Sat, Aug 09, 2008 at 09:32:16PM +0000, Aurelien Jarno wrote:
> >    * control.in/main: build-depends on dpkg (>= 1.14.17).
> >    * Add symbols files for the various libraries, based on a patch by
> >      Raphaël Hertzog.  Closes: #462444.
> >    * localedata/supported.diff: sort locales by alphabetical order.  Closes:
> >      #493231.
> 
> I have just removed the symbols files from the glibc, because dpkg-dev
> currently doesn't have support for ignoring private symbols from 
> libraries. This causes problems like this one on nscd:
> 
>   Depends: glibc-private, libc6 (>= 2.8)
> 
> Until this feature is supported in dpkg-dev, this bug is a wontfix.

You have two solutions:
- do like all other libraries and generate a dependency on libc6 for
  private symbols as well
- add "-xglibc-private" to the dpkg-shlibdeps calls in the glibc source
  package to skip that dependency

I would go for the second solution.

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/




Tags added: pending Request was from Aurelien Jarno <aurel32@alioth.debian.org> to control@bugs.debian.org. (Thu, 11 Sep 2008 15:33:02 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Tue, 14 Oct 2008 10:24:11 GMT) Full text and rfc822 format available.

Notification sent to Raphael Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. (Tue, 14 Oct 2008 10:24:11 GMT) Full text and rfc822 format available.

Message #73 received at 462444-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 462444-close@bugs.debian.org
Subject: Bug#462444: fixed in glibc 2.8+20080809-2
Date: Tue, 14 Oct 2008 09:32:23 +0000
Source: glibc
Source-Version: 2.8+20080809-2

We believe that the bug you reported is fixed in the latest version of
glibc, which is due to be installed in the Debian FTP archive:

glibc-doc_2.8+20080809-2_all.deb
  to pool/main/g/glibc/glibc-doc_2.8+20080809-2_all.deb
glibc-source_2.8+20080809-2_all.deb
  to pool/main/g/glibc/glibc-source_2.8+20080809-2_all.deb
glibc_2.8+20080809-2.diff.gz
  to pool/main/g/glibc/glibc_2.8+20080809-2.diff.gz
glibc_2.8+20080809-2.dsc
  to pool/main/g/glibc/glibc_2.8+20080809-2.dsc
libc6-dbg_2.8+20080809-2_amd64.deb
  to pool/main/g/glibc/libc6-dbg_2.8+20080809-2_amd64.deb
libc6-dev-i386_2.8+20080809-2_amd64.deb
  to pool/main/g/glibc/libc6-dev-i386_2.8+20080809-2_amd64.deb
libc6-dev_2.8+20080809-2_amd64.deb
  to pool/main/g/glibc/libc6-dev_2.8+20080809-2_amd64.deb
libc6-i386_2.8+20080809-2_amd64.deb
  to pool/main/g/glibc/libc6-i386_2.8+20080809-2_amd64.deb
libc6-pic_2.8+20080809-2_amd64.deb
  to pool/main/g/glibc/libc6-pic_2.8+20080809-2_amd64.deb
libc6-prof_2.8+20080809-2_amd64.deb
  to pool/main/g/glibc/libc6-prof_2.8+20080809-2_amd64.deb
libc6-udeb_2.8+20080809-2_amd64.udeb
  to pool/main/g/glibc/libc6-udeb_2.8+20080809-2_amd64.udeb
libc6_2.8+20080809-2_amd64.deb
  to pool/main/g/glibc/libc6_2.8+20080809-2_amd64.deb
libnss-dns-udeb_2.8+20080809-2_amd64.udeb
  to pool/main/g/glibc/libnss-dns-udeb_2.8+20080809-2_amd64.udeb
libnss-files-udeb_2.8+20080809-2_amd64.udeb
  to pool/main/g/glibc/libnss-files-udeb_2.8+20080809-2_amd64.udeb
locales-all_2.8+20080809-2_amd64.deb
  to pool/main/g/glibc/locales-all_2.8+20080809-2_amd64.deb
locales_2.8+20080809-2_all.deb
  to pool/main/g/glibc/locales_2.8+20080809-2_all.deb
nscd_2.8+20080809-2_amd64.deb
  to pool/main/g/glibc/nscd_2.8+20080809-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 462444@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated glibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 13 Oct 2008 23:21:44 +0200
Source: glibc
Binary: glibc-doc glibc-source locales locales-all nscd libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc0.1-i386 libc0.1-dev-i386 libc6-sparcv9b libc6-i686 libc6-xen libc0.1-i686 libc6.1-alphaev67 libnss-dns-udeb libnss-files-udeb
Architecture: source all amd64
Version: 2.8+20080809-2
Distribution: experimental
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 glibc-doc  - GNU C Library: Documentation
 glibc-source - GNU C Library: sources
 libc0.1    - GNU C Library: Shared libraries
 libc0.1-dbg - GNU C Library: Libraries with debugging symbols
 libc0.1-dev - GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - GNU C Library: 32bit development libraries for AMD64
 libc0.1-i386 - GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - GNU C Library: PIC archive library
 libc0.1-prof - GNU C Library: Profiling Libraries
 libc0.1-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libc0.3    - GNU C Library: Shared libraries
 libc0.3-dbg - GNU C Library: Libraries with debugging symbols
 libc0.3-dev - GNU C Library: Development Libraries and Header Files
 libc0.3-pic - GNU C Library: PIC archive library
 libc0.3-prof - GNU C Library: Profiling Libraries
 libc0.3-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libc6      - GNU C Library: Shared libraries
 libc6-amd64 - GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - GNU C Library: Libraries with debugging symbols
 libc6-dev  - GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-i386 - GNU C Library: 32bit development libraries for AMD64
 libc6-dev-mips64 - GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - GNU C Library: 32bit powerpc development libraries for ppc64
 libc6-dev-ppc64 - GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390x - GNU C Library: 64bit Development Libraries for IBM zSeries
 libc6-dev-sparc64 - GNU C Library: 64bit Development Libraries for UltraSPARC
 libc6-i386 - GNU C Library: 32bit shared libraries for AMD64
 libc6-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc6-mips64 - GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - GNU C Library: PIC archive library
 libc6-powerpc - GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - GNU C Library: Profiling Libraries
 libc6-s390x - GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-sparcv9b - GNU C Library: Shared libraries [v9b optimized]
 libc6-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libc6-xen  - GNU C Library: Shared libraries [Xen version]
 libc6.1    - GNU C Library: Shared libraries
 libc6.1-alphaev67 - GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - GNU C Library: Libraries with debugging symbols
 libc6.1-dev - GNU C Library: Development Libraries and Header Files
 libc6.1-pic - GNU C Library: PIC archive library
 libc6.1-prof - GNU C Library: Profiling Libraries
 libc6.1-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - GNU C Library: NSS helper for files - udeb (udeb)
 locales    - GNU C Library: National Language (locale) data [support]
 locales-all - GNU C Library: Precompiled locale data
 nscd       - GNU C Library: Name Service Cache Daemon
Closes: 462444 466340 485165 493231 494908 497449 498516 499689 499769
Changes: 
 glibc (2.8+20080809-2) experimental; urgency=low
 .
   [ Aurelien Jarno ]
   * New upstream release.
     - Fix conversions to ISO-2022-JP.  Closes: #466340.
     - "Tarballs are a completely outdated concept":
       + use a flat .orig.tar.gz
       + rules.d/tarball.mk: remove all, add a get-orig-source target
       + rules.d/quilt.mk: fix the unpatch target
     - Update any/cvs-getaddrinfo.diff.
     - Update any/submitted-i686-timing.diff.
     - Update hurd-i386/cvs-lock-memory-clobber.diff.
     - Update kfreebsd/local-sys_queue_h.diff
     - Update locale/preprocessor-collate-uli-sucks.diff
     - Update localedata/tailor-iso14651_t1.diff.
     - Update localedata/locales-fr.diff.
     - Update localedata/cy_GB-first_weekday.diff.
     - Update localedata/fr_BE-first_weekday.diff.
     - Update localedata/fr_CA-first_weekday.diff.
     - Update localedata/fr_CH-first_weekday.diff.
     - Update localedata/fr_LU-first_weekday.diff.
     - Remove alpha/submitted-xstat.diff (outdated).
     - Remove amd64/cvs-vdso_clock_gettime.diff (merged).
     - Remove arm/cvs-ioperm.diff (merged).
     - Remove arm/cvs-gcc4-inline.diff (merged).
     - Remove arm/local-args6.diff (merged).
     - Remove arm/submitted-RTLD_SINGLE_THREAD_P.diff (merged).
     - Remove hppa/cvs-atomic.diff (merged).
     - Remove hppa/cvs-lowlevellock.diff (merged).
     - Remove hurd-i386/cvs-kernel-features.diff (merged).
     - Remove hurd-i386/cvs-O_CLOEXEC_fix.diff (merged).
     - Remove hurd-i386/cvs-epfnosupport.diff (merged).
     - Remove hurd-i386/cvs-df.diff (merged).
     - Remove hurd-i386/cvs-blocked-exceptions.diff (merged).
     - Remove i386/cvs-short-for-fnstsw.diff (merged).
     - Remove mips/cvs-memory-barriers.diff (merged).
     - Remove mips/cvs-mknod.diff (merged).
     - Remove mips/cvs-fcsr.diff (merged).
     - Remove mips/cvs-mipsn32.diff (merged).
     - Remove sh4/cvs-nptl-private-futexes.diff (merged).
     - Remove all/cvs-gai_conf.diff (merged).
     - Remove any/cvs-epoll_h.diff (merged).
     - Remove any/cvs-ether_line.diff (merged).
     - Remove any/cvs-ethertype.diff (merged).
     - Remove any/cvs-fchmodat.diff (merged).
     - Remove any/cvs-gcc-4.3.diff (merged).
     - Remove any/cvs-iconv-iso2022jp-loop-bug.diff (merged).
     - Remove any/cvs-isoc99_vscanf.diff (merged).
     - Remove any/cvs-rfc3484.diff (merged).
     - Remove any/cvs-sched_h.diff (merged).
     - Remove any/cvs-strerror_r.diff (merged).
     - Remove any/local-strfry.diff (merged).
     - Remove any/cvs-strtod.diff (merged).
     - Remove any/cvs-tzfile.diff (merged).
     - Remove any/cvs-vfscanf.diff (merged).
     - Remove any/cvs-sunrpc_rpc_thread.diff (merged).
     - Remove any/cvs-wchar_h.diff (merged).
     - Remove any/local-dl-execstack.diff (outdated).
     - Remove any/local-gcc4-wcstol_l.diff (outdated).
     - Remove any/local-ip6-localhost.diff (fixed differently).
     - Remove any/local-notls.diff (outdated).
     - Remove any/submitted-ieee754_h.diff (merged).
     - Remove any/submitted-link-local_resolver.diff (merged).
     - Remove localedata/cvs-locale-ig_NG.diff (merged).
     - Remove localedata/cvs-locale-lo_LA.diff (merged).
     - Remove localedata/cvs-locale-ug_CN.diff (merged).
     - Remove localedata/locale-es_CR.diff (merged).
     - Remove localedata/locale-pt_PT.diff (merged).
     - Add patches/alpha/submitted-creat64.diff from Gentoo.
     - Add patches/alpha/submitted-dl-support.diff from Gentoo.
     - debian/shlibver: bump to 2.8.
     - debian/locales-depver: bump to 2.8.
   * Convert all patch to patchlevel -p1.  Closes: #485165.
   * debian/rules.d/quilt.mk: add a refresh target.
   * local/manpages/*: fix comments to make lintian happy.
   * locale/check-unknown-symbols.diff: changes errors to warnings.
   * debian/control.in/main: update Standards-Version to 3.8.0:
     - Add debian/README.source.
   * debian/rules, debian/rules.d/build.mk, debian/testsuite-checking/*:
     implement regression check, based on a patch from Carlos O'Donell.
   * testsuite-checking/expected-results-alpha-linux-gnu-libc: new file.
   * testsuite-checking/expected-results-alphaev67-linux-alphaev67: new file.
   * testsuite-checking/expected-results-arm-linux-gnueabi-libc: new file.
   * testsuite-checking/expected-results-hppa-linux-gnu-libc: new file.
   * testsuite-checking/expected-results-i486-kfreebsd-gnu-libc: new file.
   * testsuite-checking/expected-results-i486-linux-gnu-libc: new file.
   * testsuite-checking/expected-results-i686-kfreebsd-i386: new file.
   * testsuite-checking/expected-results-i686-kfreebsd-i686: new file.
   * testsuite-checking/expected-results-i686-linux-i386: new file.
   * testsuite-checking/expected-results-i686-linux-i686: new file.
   * testsuite-checking/expected-results-i686-linux-xen: new file.
   * testsuite-checking/expected-results-ia64-linux-gnu-libc: new file.
   * testsuite-checking/expected-results-mips-linux-gnu-libc: new file
   * testsuite-checking/expected-results-mips32-linux-mipsn32: new file.
   * testsuite-checking/expected-results-mips64-linux-mips64: new file.
   * testsuite-checking/expected-results-mips32el-linux-mipsn32: new file.
   * testsuite-checking/expected-results-mips64el-linux-mips64: new file.
   * testsuite-checking/expected-results-mipsel-linux-gnu-libc: new file.
   * testsuite-checking/expected-results-powerpc-linux-gnu-libc: new file.
   * testsuite-checking/expected-results-powerpc64-linux-ppc64: new file.
   * testsuite-checking/expected-results-s390-linux-gnu-libc: new file.
   * testsuite-checking/expected-results-s390x-linux-s390x: new file.
   * testsuite-checking/expected-results-sparc64-linux-sparc64: new file.
   * testsuite-checking/expected-results-sparc-linux-gnu-libc: new file.
   * testsuite-checking/expected-results-sparcv9b-linux-sparcv9b: new file.
   * testsuite-checking/expected-results-x86_64-kfreebsd-gnu-libc: new file.
   * testsuite-checking/expected-results-x86_64-linux-amd64: new file.
   * testsuite-checking/expected-results-x86_64-linux-gnu-libc: new file.
   * control.in/main: build-depends on dpkg (>= 1.14.17).
   * Add symbols files for the various libraries, based on a patch by
     Raphaël Hertzog.  Closes: #462444.
   * localedata/supported.diff: sort locales by alphabetical order.  Closes:
     #493231.
   * debian/rules, debian/rules.d/build.mk, debian/sysdeps.mk/*: use a common
     huge TIMEOUTFACTOR for all architectures.
   * debian/sysdeps/mipsel.mk: use the correct triplet for mipsn32 and mips64
     builds.
   * debian/sysdeps/kfreebsd-amd64.mk: remove wrong symlink /lib32/lib32.
   * debian/sysdeps/amd64.mk,kfreebsd-amd64.mk: enable i686 optimizations.
   * debhelper.in/locales-all.prerm, debhelper.in/locales.postinst: remove
     prepended path.
   * debian/sysdeps/hppa.mk: use relative symlinks for hppa64 include
     directories.
   * patches/all/submitted-iconv-latin9.diff: add latin9 as an alias to
     latin-9 for consistency with other charsets.  Closes: #497449.
   * rules, rules.d/build.mk, debhelper.in/glibc-doc.manpages: install
     preprocessed manpages instead of raw ones.
   * debian/sysdeps/*.mk, script.in/kernelcheck.sh: bump minimal kernel
     version to 2.6.18.  Closes: #499689.
   * debian/control.in/main: add Vcs-Svn and Vcs-Browser field.  Closes:
     #499769.
   * debian/sysdeps/depflags.pl: add a conflict on nscd (<< 2.8) to nscd
     Closes: #498516).
   * rules, rules.d/build.mk, debhelper.in/glibc-doc.manpages: install the
     generated manpages.
 .
   [ Petr Salinger ]
   * add any/local-linuxthreads-ptw.diff. Closes: #494908.
   * add kfreebsd/local-sysdeps28.diff, glibc 2.8 specific kfreebsd sysdeps.
Checksums-Sha1: 
 d0a6f0b15d466fca4721fc871211539429a43d05 2720 glibc_2.8+20080809-2.dsc
 4e5e2d62a6497bf76b947787e6a1a90646470a97 22052983 glibc_2.8+20080809.orig.tar.gz
 e8e88c2c06f12d2f078fe2e8e844e52f7b8c0639 699960 glibc_2.8+20080809-2.diff.gz
 6801bd2b194439eac88b266ca7a50fd126dc4dfb 1644966 glibc-doc_2.8+20080809-2_all.deb
 cc19935d522f302ca38b8e9ef475669f05d55dfc 16002952 glibc-source_2.8+20080809-2_all.deb
 2231a6d168b90c8cdd63d2eacac08e52e4198116 4591050 locales_2.8+20080809-2_all.deb
 9af4dd61769d9714f3a4181c9fd256227761f99b 4888584 libc6_2.8+20080809-2_amd64.deb
 0389e2b2fdb79e001a7fd0ac4af6dba3917b90a0 2498442 libc6-dev_2.8+20080809-2_amd64.deb
 6e3606bb161de01b17a108a18ac1122572a56cea 1929166 libc6-prof_2.8+20080809-2_amd64.deb
 8a0851d3c0620279204f7971489055cc961d5c56 1470724 libc6-pic_2.8+20080809-2_amd64.deb
 70f063610d295c1450b0fbf7799e6c42e7ce31a5 2833432 locales-all_2.8+20080809-2_amd64.deb
 2d3f9c5ff65d654daffe2eb6c56885fa353f023b 3728780 libc6-i386_2.8+20080809-2_amd64.deb
 fac1f8d8e0ed9332a1cd3fdbe13312770530248c 1477286 libc6-dev-i386_2.8+20080809-2_amd64.deb
 014cc0c23dd9f4bef5e5ac509cae5c30bcec69ab 177434 nscd_2.8+20080809-2_amd64.deb
 014d9b7d6f7499565d87664269005664d4622213 5335220 libc6-dbg_2.8+20080809-2_amd64.deb
 634d5f765af9fc53ce370b6a63cd689a99abd9b9 1108510 libc6-udeb_2.8+20080809-2_amd64.udeb
 ce7a9d39c6dc3855f84bac981602051d44371e3b 9444 libnss-dns-udeb_2.8+20080809-2_amd64.udeb
 d60699dad534a676f0ace667163a0bd54e19ff16 18524 libnss-files-udeb_2.8+20080809-2_amd64.udeb
Checksums-Sha256: 
 ad10aafd1d3cf0df39c572a2bfd658559b443ed311754e35dcfff96600dc2080 2720 glibc_2.8+20080809-2.dsc
 6c5c5189fb1db2bf8825843fa5a4325e2a2a52cb0bfb08ba0f2823b4513bfb36 22052983 glibc_2.8+20080809.orig.tar.gz
 1dc4350fcb63eb95beaaf21dfeebcd2973d54e5e46c0909645f8066979545e03 699960 glibc_2.8+20080809-2.diff.gz
 b8139ad6ca85b05227402773a2a4d80c879779b9f6c4367361749ea1877e58bb 1644966 glibc-doc_2.8+20080809-2_all.deb
 f3c884acc8d26afe6b15ae6ee2a82a026a1b461523c21de3b1f88048f1f49aae 16002952 glibc-source_2.8+20080809-2_all.deb
 c692373e550e2886d6941bfdae8da1e2d738d59f53e6ef82399a064b57622d28 4591050 locales_2.8+20080809-2_all.deb
 21cc832d1363b67a2d78ca3342b0522a26b50c46ae2a7c7b7e507cc36a584ae2 4888584 libc6_2.8+20080809-2_amd64.deb
 2d9efcae0746134d0c2ab490241a66d5b7592a3c047473e1b041d04715f1fe30 2498442 libc6-dev_2.8+20080809-2_amd64.deb
 ea26ac3af0411889f1d58005f16b32b2cb724215561158dec8e8a8f4884045cf 1929166 libc6-prof_2.8+20080809-2_amd64.deb
 526e206b74c0e021a80dce83cbe9df1c62d0dde27477e68c958cc1f2b8cbab9d 1470724 libc6-pic_2.8+20080809-2_amd64.deb
 8b0fb8408a108c36812ab1700cd1b013ecfe12951480ce4f35b173b516059bac 2833432 locales-all_2.8+20080809-2_amd64.deb
 17da74b5cd007eac53f1305cac5f7c4758a7c57ee7c0deaf37d1e108eb0705a9 3728780 libc6-i386_2.8+20080809-2_amd64.deb
 05290cb4cafc172c46e38c2877e5cfc384d5eb689bc282936cfba8d38d2d7be6 1477286 libc6-dev-i386_2.8+20080809-2_amd64.deb
 8868e0a19f6090cf3ca1bf148ef20ff298fc5143e92906da34781f8f4c8fba2d 177434 nscd_2.8+20080809-2_amd64.deb
 c769fbd7f033611d6b3fe4afb10d01144a4fa8966ad6d9fe4810813cd72c3c0c 5335220 libc6-dbg_2.8+20080809-2_amd64.deb
 f9156e5cc3395650022a1bc16eed4ca5628d68e217eaf24db260b77538a211cb 1108510 libc6-udeb_2.8+20080809-2_amd64.udeb
 ab259459400206ce99d7ab9a76a460d5b8342009ec609418718ec32249960936 9444 libnss-dns-udeb_2.8+20080809-2_amd64.udeb
 df55f05775a971f9eae2f35e2f6eace16600f88d37236372b599c328c748f573 18524 libnss-files-udeb_2.8+20080809-2_amd64.udeb
Files: 
 f173522019a2095bed6eb495e88e53f1 2720 libs required glibc_2.8+20080809-2.dsc
 610c98d4213b73dfe26ace2b410ecc81 22052983 libs required glibc_2.8+20080809.orig.tar.gz
 c5c5adc0319772a21e6cb6205a1b78df 699960 libs required glibc_2.8+20080809-2.diff.gz
 8a38b8ae60661836f71f45f2a9885167 1644966 doc optional glibc-doc_2.8+20080809-2_all.deb
 7f0d46b2f98101ece3d9e36906512049 16002952 devel optional glibc-source_2.8+20080809-2_all.deb
 ccd1c4d35323d76e5a5a8e54d752dbbc 4591050 libs standard locales_2.8+20080809-2_all.deb
 346a8f630bc60f5ace3dc116b0a76cfc 4888584 libs required libc6_2.8+20080809-2_amd64.deb
 51682e2b23bb0b493d8db66db33893aa 2498442 libdevel optional libc6-dev_2.8+20080809-2_amd64.deb
 326b75f3c3cf1ec7a05dac10ed097511 1929166 libdevel extra libc6-prof_2.8+20080809-2_amd64.deb
 6cba9d56ef00726b0c060ed04e293f69 1470724 libdevel optional libc6-pic_2.8+20080809-2_amd64.deb
 4858afc3e332d30f5a6aa6d4664e9e91 2833432 libs extra locales-all_2.8+20080809-2_amd64.deb
 b9034a8c324d56db0150139c274f5dac 3728780 libs optional libc6-i386_2.8+20080809-2_amd64.deb
 bdd386d8e6cb949f882b948a873de60d 1477286 libdevel optional libc6-dev-i386_2.8+20080809-2_amd64.deb
 8e9a32323cec2c434f1a9525c42a39ae 177434 admin optional nscd_2.8+20080809-2_amd64.deb
 937a7a21e4b8148cf59db3f1276ce573 5335220 libdevel extra libc6-dbg_2.8+20080809-2_amd64.deb
 b1f687c9f4801d3c1593e5baa46fcef5 1108510 debian-installer extra libc6-udeb_2.8+20080809-2_amd64.udeb
 1661c48a5d10a0c4a239de774d38d549 9444 debian-installer extra libnss-dns-udeb_2.8+20080809-2_amd64.udeb
 f364d2596464697deb6e3c68b3c0ba05 18524 debian-installer extra libnss-files-udeb_2.8+20080809-2_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFI9Furw3ao2vG823MRAkTSAJ0cKnMdcvyXgQZt+i8t26Qb5lWmsACghMxp
0rsuTFEM4OedqS6fQsxiTNY=
=ZxyZ
-----END PGP SIGNATURE-----





Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Sun, 26 Oct 2008 23:21:11 GMT) Full text and rfc822 format available.

Notification sent to Raphael Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. (Sun, 26 Oct 2008 23:21:11 GMT) Full text and rfc822 format available.

Message #78 received at 462444-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 462444-close@bugs.debian.org
Subject: Bug#462444: fixed in glibc 2.8+20080809-3
Date: Sun, 26 Oct 2008 23:17:14 +0000
Source: glibc
Source-Version: 2.8+20080809-3

We believe that the bug you reported is fixed in the latest version of
glibc, which is due to be installed in the Debian FTP archive:

glibc-doc_2.8+20080809-3_all.deb
  to pool/main/g/glibc/glibc-doc_2.8+20080809-3_all.deb
glibc-source_2.8+20080809-3_all.deb
  to pool/main/g/glibc/glibc-source_2.8+20080809-3_all.deb
glibc_2.8+20080809-3.diff.gz
  to pool/main/g/glibc/glibc_2.8+20080809-3.diff.gz
glibc_2.8+20080809-3.dsc
  to pool/main/g/glibc/glibc_2.8+20080809-3.dsc
libc6-dbg_2.8+20080809-3_amd64.deb
  to pool/main/g/glibc/libc6-dbg_2.8+20080809-3_amd64.deb
libc6-dev-i386_2.8+20080809-3_amd64.deb
  to pool/main/g/glibc/libc6-dev-i386_2.8+20080809-3_amd64.deb
libc6-dev_2.8+20080809-3_amd64.deb
  to pool/main/g/glibc/libc6-dev_2.8+20080809-3_amd64.deb
libc6-i386_2.8+20080809-3_amd64.deb
  to pool/main/g/glibc/libc6-i386_2.8+20080809-3_amd64.deb
libc6-pic_2.8+20080809-3_amd64.deb
  to pool/main/g/glibc/libc6-pic_2.8+20080809-3_amd64.deb
libc6-prof_2.8+20080809-3_amd64.deb
  to pool/main/g/glibc/libc6-prof_2.8+20080809-3_amd64.deb
libc6-udeb_2.8+20080809-3_amd64.udeb
  to pool/main/g/glibc/libc6-udeb_2.8+20080809-3_amd64.udeb
libc6_2.8+20080809-3_amd64.deb
  to pool/main/g/glibc/libc6_2.8+20080809-3_amd64.deb
libnss-dns-udeb_2.8+20080809-3_amd64.udeb
  to pool/main/g/glibc/libnss-dns-udeb_2.8+20080809-3_amd64.udeb
libnss-files-udeb_2.8+20080809-3_amd64.udeb
  to pool/main/g/glibc/libnss-files-udeb_2.8+20080809-3_amd64.udeb
locales-all_2.8+20080809-3_amd64.deb
  to pool/main/g/glibc/locales-all_2.8+20080809-3_amd64.deb
locales_2.8+20080809-3_all.deb
  to pool/main/g/glibc/locales_2.8+20080809-3_all.deb
nscd_2.8+20080809-3_amd64.deb
  to pool/main/g/glibc/nscd_2.8+20080809-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 462444@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated glibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 25 Oct 2008 21:22:39 +0200
Source: glibc
Binary: glibc-doc glibc-source locales locales-all nscd libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc0.1-i386 libc0.1-dev-i386 libc6-sparcv9b libc6-i686 libc6-xen libc0.1-i686 libc6.1-alphaev67 libnss-dns-udeb libnss-files-udeb
Architecture: source all amd64
Version: 2.8+20080809-3
Distribution: experimental
Urgency: low
Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 glibc-doc  - GNU C Library: Documentation
 glibc-source - GNU C Library: sources
 libc0.1    - GNU C Library: Shared libraries
 libc0.1-dbg - GNU C Library: Libraries with debugging symbols
 libc0.1-dev - GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - GNU C Library: 32bit development libraries for AMD64
 libc0.1-i386 - GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - GNU C Library: PIC archive library
 libc0.1-prof - GNU C Library: Profiling Libraries
 libc0.1-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libc0.3    - GNU C Library: Shared libraries
 libc0.3-dbg - GNU C Library: Libraries with debugging symbols
 libc0.3-dev - GNU C Library: Development Libraries and Header Files
 libc0.3-pic - GNU C Library: PIC archive library
 libc0.3-prof - GNU C Library: Profiling Libraries
 libc0.3-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libc6      - GNU C Library: Shared libraries
 libc6-amd64 - GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - GNU C Library: Libraries with debugging symbols
 libc6-dev  - GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-i386 - GNU C Library: 32bit development libraries for AMD64
 libc6-dev-mips64 - GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - GNU C Library: 32bit powerpc development libraries for ppc64
 libc6-dev-ppc64 - GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390x - GNU C Library: 64bit Development Libraries for IBM zSeries
 libc6-dev-sparc64 - GNU C Library: 64bit Development Libraries for UltraSPARC
 libc6-i386 - GNU C Library: 32bit shared libraries for AMD64
 libc6-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc6-mips64 - GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - GNU C Library: PIC archive library
 libc6-powerpc - GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - GNU C Library: Profiling Libraries
 libc6-s390x - GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-sparcv9b - GNU C Library: Shared libraries [v9b optimized]
 libc6-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libc6-xen  - GNU C Library: Shared libraries [Xen version]
 libc6.1    - GNU C Library: Shared libraries
 libc6.1-alphaev67 - GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - GNU C Library: Libraries with debugging symbols
 libc6.1-dev - GNU C Library: Development Libraries and Header Files
 libc6.1-pic - GNU C Library: PIC archive library
 libc6.1-prof - GNU C Library: Profiling Libraries
 libc6.1-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - GNU C Library: NSS helper for files - udeb (udeb)
 locales    - GNU C Library: National Language (locale) data [support]
 locales-all - GNU C Library: Precompiled locale data
 nscd       - GNU C Library: Name Service Cache Daemon
Closes: 462444 466340 485165 493231 494908 497449 498516 499689 499769
Changes: 
 glibc (2.8+20080809-3) experimental; urgency=low
 .
   [ Aurelien Jarno ]
   * New upstream release.
     - Fix conversions to ISO-2022-JP.  Closes: #466340.
     - "Tarballs are a completely outdated concept":
       + use a flat .orig.tar.gz
       + rules.d/tarball.mk: remove all, add a get-orig-source target
       + rules.d/quilt.mk: fix the unpatch target
     - Update any/cvs-getaddrinfo.diff.
     - Update any/submitted-i686-timing.diff.
     - Update hurd-i386/cvs-lock-memory-clobber.diff.
     - Update kfreebsd/local-sys_queue_h.diff
     - Update locale/preprocessor-collate-uli-sucks.diff
     - Update localedata/tailor-iso14651_t1.diff.
     - Update localedata/locales-fr.diff.
     - Update localedata/cy_GB-first_weekday.diff.
     - Update localedata/fr_BE-first_weekday.diff.
     - Update localedata/fr_CA-first_weekday.diff.
     - Update localedata/fr_CH-first_weekday.diff.
     - Update localedata/fr_LU-first_weekday.diff.
     - Remove alpha/submitted-xstat.diff (outdated).
     - Remove amd64/cvs-vdso_clock_gettime.diff (merged).
     - Remove arm/cvs-ioperm.diff (merged).
     - Remove arm/cvs-gcc4-inline.diff (merged).
     - Remove arm/local-args6.diff (merged).
     - Remove arm/submitted-RTLD_SINGLE_THREAD_P.diff (merged).
     - Remove hppa/cvs-atomic.diff (merged).
     - Remove hppa/cvs-lowlevellock.diff (merged).
     - Remove hurd-i386/cvs-kernel-features.diff (merged).
     - Remove hurd-i386/cvs-O_CLOEXEC_fix.diff (merged).
     - Remove hurd-i386/cvs-epfnosupport.diff (merged).
     - Remove hurd-i386/cvs-df.diff (merged).
     - Remove hurd-i386/cvs-blocked-exceptions.diff (merged).
     - Remove i386/cvs-short-for-fnstsw.diff (merged).
     - Remove mips/cvs-memory-barriers.diff (merged).
     - Remove mips/cvs-mknod.diff (merged).
     - Remove mips/cvs-fcsr.diff (merged).
     - Remove mips/cvs-mipsn32.diff (merged).
     - Remove sh4/cvs-nptl-private-futexes.diff (merged).
     - Remove all/cvs-gai_conf.diff (merged).
     - Remove any/cvs-epoll_h.diff (merged).
     - Remove any/cvs-ether_line.diff (merged).
     - Remove any/cvs-ethertype.diff (merged).
     - Remove any/cvs-fchmodat.diff (merged).
     - Remove any/cvs-gcc-4.3.diff (merged).
     - Remove any/cvs-iconv-iso2022jp-loop-bug.diff (merged).
     - Remove any/cvs-isoc99_vscanf.diff (merged).
     - Remove any/cvs-rfc3484.diff (merged).
     - Remove any/cvs-sched_h.diff (merged).
     - Remove any/cvs-strerror_r.diff (merged).
     - Remove any/local-strfry.diff (merged).
     - Remove any/cvs-strtod.diff (merged).
     - Remove any/cvs-tzfile.diff (merged).
     - Remove any/cvs-vfscanf.diff (merged).
     - Remove any/cvs-sunrpc_rpc_thread.diff (merged).
     - Remove any/cvs-wchar_h.diff (merged).
     - Remove any/local-dl-execstack.diff (outdated).
     - Remove any/local-gcc4-wcstol_l.diff (outdated).
     - Remove any/local-ip6-localhost.diff (fixed differently).
     - Remove any/local-notls.diff (outdated).
     - Remove any/submitted-ieee754_h.diff (merged).
     - Remove any/submitted-link-local_resolver.diff (merged).
     - Remove localedata/cvs-locale-ig_NG.diff (merged).
     - Remove localedata/cvs-locale-lo_LA.diff (merged).
     - Remove localedata/cvs-locale-ug_CN.diff (merged).
     - Remove localedata/locale-es_CR.diff (merged).
     - Remove localedata/locale-pt_PT.diff (merged).
     - Add patches/alpha/submitted-creat64.diff from Gentoo.
     - Add patches/alpha/submitted-dl-support.diff from Gentoo.
     - debian/shlibver: bump to 2.8.
     - debian/locales-depver: bump to 2.8.
   * Convert all patch to patchlevel -p1.  Closes: #485165.
   * debian/rules.d/quilt.mk: add a refresh target.
   * local/manpages/*: fix comments to make lintian happy.
   * locale/check-unknown-symbols.diff: changes errors to warnings.
   * debian/control.in/main: update Standards-Version to 3.8.0:
     - Add debian/README.source.
   * debian/rules, debian/rules.d/build.mk, debian/testsuite-checking/*:
     implement regression check, based on a patch from Carlos O'Donell.
   * testsuite-checking/expected-results-alpha-linux-gnu-libc: new file.
   * testsuite-checking/expected-results-alphaev67-linux-alphaev67: new file.
   * testsuite-checking/expected-results-arm-linux-gnueabi-libc: new file.
   * testsuite-checking/expected-results-hppa-linux-gnu-libc: new file.
   * testsuite-checking/expected-results-i486-kfreebsd-gnu-libc: new file.
   * testsuite-checking/expected-results-i486-linux-gnu-libc: new file.
   * testsuite-checking/expected-results-i686-kfreebsd-i386: new file.
   * testsuite-checking/expected-results-i686-kfreebsd-i686: new file.
   * testsuite-checking/expected-results-i686-linux-i386: new file.
   * testsuite-checking/expected-results-i686-linux-i686: new file.
   * testsuite-checking/expected-results-i686-linux-xen: new file.
   * testsuite-checking/expected-results-ia64-linux-gnu-libc: new file.
   * testsuite-checking/expected-results-mips-linux-gnu-libc: new file
   * testsuite-checking/expected-results-mips32-linux-mipsn32: new file.
   * testsuite-checking/expected-results-mips64-linux-mips64: new file.
   * testsuite-checking/expected-results-mips32el-linux-mipsn32: new file.
   * testsuite-checking/expected-results-mips64el-linux-mips64: new file.
   * testsuite-checking/expected-results-mipsel-linux-gnu-libc: new file.
   * testsuite-checking/expected-results-powerpc-linux-gnu-libc: new file.
   * testsuite-checking/expected-results-powerpc64-linux-ppc64: new file.
   * testsuite-checking/expected-results-s390-linux-gnu-libc: new file.
   * testsuite-checking/expected-results-s390x-linux-s390x: new file.
   * testsuite-checking/expected-results-sparc64-linux-sparc64: new file.
   * testsuite-checking/expected-results-sparc-linux-gnu-libc: new file.
   * testsuite-checking/expected-results-sparcv9b-linux-sparcv9b: new file.
   * testsuite-checking/expected-results-x86_64-kfreebsd-gnu-libc: new file.
   * testsuite-checking/expected-results-x86_64-linux-amd64: new file.
   * testsuite-checking/expected-results-x86_64-linux-gnu-libc: new file.
   * control.in/main: build-depends on dpkg (>= 1.14.17).
   * Add symbols files for the various libraries, based on a patch by
     Raphaël Hertzog.  Closes: #462444.
   * localedata/supported.diff: sort locales by alphabetical order.  Closes:
     #493231.
   * debian/rules, debian/rules.d/build.mk, debian/sysdeps.mk/*: use a common
     huge TIMEOUTFACTOR for all architectures.
   * debian/sysdeps/mipsel.mk: use the correct triplet for mipsn32 and mips64
     builds.
   * debian/sysdeps/kfreebsd-amd64.mk: remove wrong symlink /lib32/lib32.
   * debian/sysdeps/amd64.mk,kfreebsd-amd64.mk: enable i686 optimizations.
   * debhelper.in/locales-all.prerm, debhelper.in/locales.postinst: remove
     prepended path.
   * debian/sysdeps/hppa.mk: use relative symlinks for hppa64 include
     directories.
   * patches/all/submitted-iconv-latin9.diff: add latin9 as an alias to
     latin-9 for consistency with other charsets.  Closes: #497449.
   * rules, rules.d/build.mk, debhelper.in/glibc-doc.manpages: install
     preprocessed manpages instead of raw ones.
   * debian/sysdeps/*.mk, script.in/kernelcheck.sh: bump minimal kernel
     version to 2.6.18.  Closes: #499689.
   * debian/control.in/main: add Vcs-Svn and Vcs-Browser field.  Closes:
     #499769.
   * debian/sysdeps/depflags.pl: add a conflict on nscd (<< 2.8) to nscd
     Closes: #498516).
   * rules, rules.d/build.mk, debhelper.in/glibc-doc.manpages: install the
     generated manpages.
   * any/cvs-bug-iconv6_tst-iconv7.diff: new patch from upstream to fix
     bug-iconv6 and tst-iconv7 when the locales package is not installed.
 .
   [ Petr Salinger ]
   * add any/local-linuxthreads-ptw.diff. Closes: #494908.
   * add kfreebsd/local-sysdeps28.diff, glibc 2.8 specific kfreebsd sysdeps.
Checksums-Sha1: 
 d7c4faca7f59e8668d09636f1e5da28debe0aefb 2720 glibc_2.8+20080809-3.dsc
 4e5e2d62a6497bf76b947787e6a1a90646470a97 22052983 glibc_2.8+20080809.orig.tar.gz
 e86d19c32f174e093c000af6fbc2dd96bdb01408 695169 glibc_2.8+20080809-3.diff.gz
 1868bd1f5a71fea408d88f96e714fe0f6965de04 1645218 glibc-doc_2.8+20080809-3_all.deb
 3672269c0c0640f6cbefb6ff0e05849c1f11e932 15859272 glibc-source_2.8+20080809-3_all.deb
 c758d822f8824c6e2957e52cf73cd52432265748 4594238 locales_2.8+20080809-3_all.deb
 92c5d637dd7c2d3721fc8831415c420dd23e8f6c 4888464 libc6_2.8+20080809-3_amd64.deb
 49028421c05960f915955471e22819444ae8affe 2500104 libc6-dev_2.8+20080809-3_amd64.deb
 18dd300a98b516605551a7c2f0dcd2d7a2f93df9 1928604 libc6-prof_2.8+20080809-3_amd64.deb
 d23e507d9e996c493d2a4d7548ad5f6beb28a588 1471334 libc6-pic_2.8+20080809-3_amd64.deb
 301c6eab79cf1fc2f777c5835da91ae0f4d6f0bc 2838096 locales-all_2.8+20080809-3_amd64.deb
 6b0ab0c39a77be8f5d1787e30e3bc1a310112b19 3722966 libc6-i386_2.8+20080809-3_amd64.deb
 267bde6b28e89fa91e8ecb7e6bbcf1f6e3c92cb9 1477480 libc6-dev-i386_2.8+20080809-3_amd64.deb
 3b2c2a6bc9d8b4a1413a56a1b199ff7b3bed9458 177832 nscd_2.8+20080809-3_amd64.deb
 01027056a7dea9ce9408dbc95f171a3ec07bf511 5326134 libc6-dbg_2.8+20080809-3_amd64.deb
 8f921da9e4343d5ae8edc3b07216ea00fc273bf4 1106944 libc6-udeb_2.8+20080809-3_amd64.udeb
 c659d348e83452a5f6697997eccd5c3f5f45566a 9438 libnss-dns-udeb_2.8+20080809-3_amd64.udeb
 5556cdc6986911b400a386264d9f010226226be1 18524 libnss-files-udeb_2.8+20080809-3_amd64.udeb
Checksums-Sha256: 
 8613b003ed66bb879fc197964463990c19c532c9d0cbda5f68fad81aea02f137 2720 glibc_2.8+20080809-3.dsc
 6c5c5189fb1db2bf8825843fa5a4325e2a2a52cb0bfb08ba0f2823b4513bfb36 22052983 glibc_2.8+20080809.orig.tar.gz
 67b0663b4d8cee4e834634aee44baa1e22364680ec721e2cb3c515a35a1c3c9c 695169 glibc_2.8+20080809-3.diff.gz
 988e69a0c1fc71644b9e665a02193d79a290d5015dc234012feccdc40b77604a 1645218 glibc-doc_2.8+20080809-3_all.deb
 2fbcab2ef41a63778957740e95947884882fc092791a4d22e317c52dafd75945 15859272 glibc-source_2.8+20080809-3_all.deb
 f059cc1d8407e46f8ac4796e5032ac21f68b8a8b79b5d302b98e0a05f68c7057 4594238 locales_2.8+20080809-3_all.deb
 75bd914efa3217da066b90d9aaf85ae62155a342027cc1afb194ab0f17be8e0e 4888464 libc6_2.8+20080809-3_amd64.deb
 7c20bddd2d68c6e0cec62b1ce160dcc91190c2015b954f059ee7d11cea3d7a44 2500104 libc6-dev_2.8+20080809-3_amd64.deb
 232a5cf0163d663564094234e78f48b3f041b57da3f658641dae1b00a3b7436e 1928604 libc6-prof_2.8+20080809-3_amd64.deb
 85228671ef761107770a809426826b361288a0faba02396d37913bdf7e5be444 1471334 libc6-pic_2.8+20080809-3_amd64.deb
 ac91dc8730c819c3d585ae44f6f4346890508aecf8ccd5c125b50a0d54a6a8d1 2838096 locales-all_2.8+20080809-3_amd64.deb
 cb693e9b738ac2acd0f6b47e8db99fa67e6df52c73c23ab3768b9d092a9eab95 3722966 libc6-i386_2.8+20080809-3_amd64.deb
 d7516aaecef61596fbaae220f9bb3bd687064ed4c983480416452b06379828f5 1477480 libc6-dev-i386_2.8+20080809-3_amd64.deb
 75f07c7fb8f677d969e920d12189bb9c83699ca48cf06938fd3dcca5d51b40f7 177832 nscd_2.8+20080809-3_amd64.deb
 0fcd1206cba5998951663220c9f17d4f60a7a0c464a19716f09a2f766334a9c3 5326134 libc6-dbg_2.8+20080809-3_amd64.deb
 5383aa5497fbade4a0a15dd78eda124fcc4ea18845e7be6b7bdc554397c39d0c 1106944 libc6-udeb_2.8+20080809-3_amd64.udeb
 b7f74a7a8b59701cb38cc77554e6455aa98154c6ae43a0b2f1c47ad154b49999 9438 libnss-dns-udeb_2.8+20080809-3_amd64.udeb
 5f799bc84f94549cce45d4e93497df0f59a2c8a71603fcabbf85d922b03f2b50 18524 libnss-files-udeb_2.8+20080809-3_amd64.udeb
Files: 
 ce6bb3788718e9fa359bafb36caac414 2720 libs required glibc_2.8+20080809-3.dsc
 031396c325e52c1a0b622c93ce4458a8 695169 libs required glibc_2.8+20080809-3.diff.gz
 6a569a1013934534a51381cef7b09ec6 1645218 doc optional glibc-doc_2.8+20080809-3_all.deb
 50237ce656cb867ea4b55d253f47d90f 15859272 devel optional glibc-source_2.8+20080809-3_all.deb
 d526d691c286865e30a6948fd7550919 4594238 libs standard locales_2.8+20080809-3_all.deb
 9504a04dd1264e55a56acef30567ee59 4888464 libs required libc6_2.8+20080809-3_amd64.deb
 14ffafca6757cf0f1cc9545af30fd1f3 2500104 libdevel optional libc6-dev_2.8+20080809-3_amd64.deb
 a015e14724a9c9c93c09703fe642b241 1928604 libdevel extra libc6-prof_2.8+20080809-3_amd64.deb
 8854a33d935783e57e95df6b2951595d 1471334 libdevel optional libc6-pic_2.8+20080809-3_amd64.deb
 d569eb09f4ae41a9fcfd3bce6346d9a6 2838096 libs extra locales-all_2.8+20080809-3_amd64.deb
 762c63f35b186b6575e73730a88188ac 3722966 libs optional libc6-i386_2.8+20080809-3_amd64.deb
 f40911dc2eae07b964edb69503c61e6b 1477480 libdevel optional libc6-dev-i386_2.8+20080809-3_amd64.deb
 c59f7bded6078e6d490e795296a119f1 177832 admin optional nscd_2.8+20080809-3_amd64.deb
 414f4fdf81fa3e37f1d8a38069a9f3fa 5326134 libdevel extra libc6-dbg_2.8+20080809-3_amd64.deb
 bd7d0369f278c2e42a54c01fa3a81e95 1106944 debian-installer extra libc6-udeb_2.8+20080809-3_amd64.udeb
 72a67826864fc323821ea4e1635e494c 9438 debian-installer extra libnss-dns-udeb_2.8+20080809-3_amd64.udeb
 fae20f4c113e683310f092c278645f9b 18524 debian-installer extra libnss-files-udeb_2.8+20080809-3_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFJBPfMw3ao2vG823MRAuHvAJ4ybv/ik7cogDoJgU6B1/nlLxJLLQCdGfLG
W7trgwrpsl+oP5ep40PcB6M=
=s5Wa
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 19 Mar 2009 07:32:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:40:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.